#ifdef GL_ES
precision mediump float;
#endif

varying vec2 blurCoordinates[7];

void main()
{
    vec2 blurSize = vec2(0.0035211, 0.00625);
    
    blurCoordinates[0] = a_texCoord - 3.0 * blurSize;
    blurCoordinates[1] = a_texCoord - 2.0 * blurSize;
    blurCoordinates[2] = a_texCoord - 1.0 * blurSize;
    blurCoordinates[3] = a_texCoord;
    blurCoordinates[4] = a_texCoord + 1.0 * blurSize;
    blurCoordinates[5] = a_texCoord + 2.0 * blurSize;
    blurCoordinates[6] = a_texCoord + 3.0 * blurSize;
    
    gl_Position     = CC_MVPMatrix * a_position;
	v_fragmentColor = a_color;
}
