#ifdef GL_ES
precision mediump float;
#endif

uniform mediump vec4 CC_Time;

void main(){
	vec2 texCoord = v_texCoord;
	
    // 1. compute x with sin() depending on y position and time
    // 2. scale down by 0.01
    
    texCoord.x += sin(10.0 * texCoord.y + CC_Time[3] ) * 0.01;
    
	gl_FragColor = v_fragmentColor*texture2D(CC_Texture0, texCoord);
}
